Arch Treillis

From FreeCAD Documentation
Revision as of 15:06, 26 April 2020 by David69 (talk | contribs) (Created page with "===Création à partir de zéro===")

Arch Treillis

Emplacement du menu
Arch → Truss
Ateliers
Arch
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
Aucun

Description

L'outil Arch Ferme crée un objet Treillis à partir d'un objet linéaire sélectionné (positionnez une Draft Ligne ou Sketcher Nouvelle esquisse) ou à partir de zéro, si aucun objet n'est sélectionné lors du lancement de la commande.

Utilisation

Création à partir d'un objet sélectionné

  1. Utilisez un atelier de votre choix pour créer une seule ligne
  2. Sélectionnez cette ligne
  3. Appuyez sur le bouton Create a truss...
  4. Ajustez les propriétés du treillis à votre convenance


Création à partir de zéro

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Properties

Data

  • DonnéesTrussAngle: The angle of the truss
  • DonnéesSlantType: The slant type of this truss
  • DonnéesNormal: The normal direction of this truss
  • DonnéesHeightStart: The height of the truss at the start position
  • DonnéesHeightEnd: The height of the truss at the end position
  • DonnéesStrutStartOffset: An optional start offset for the top strut
  • DonnéesStrutEndOffset: An optional end offset for the top strut
  • DonnéesStrutHeight: The height of the main top and bottom elements of the truss
  • DonnéesStrutWidth: The width of the main top and bottom elements of the truss
  • DonnéesRodType: The type of the middle element of the truss
  • DonnéesRodDirection: The direction of the rods
  • DonnéesRodSize: The diameter or side of the rods
  • DonnéesRodSections: The number of rod sections
  • DonnéesRodEnd: If the truss has a rod at its endpoint or not
  • DonnéesRodMode: How to draw the rods

Scripting

The Truss tool can be used in macros and from the Python console by using the following function:

Truss = makeFence([baseobj])

Example:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties